//
// "$Id: Fl_Timer.H 9582 2012-06-10 11:10:24Z matt $"
//
// Timer header file for the Fast Light Tool Kit (FLTK).
//
// Copyright 1998-2012 by Bill Spitzak and others.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
// Please report all bugs and problems on the following page:
//
//     http://www.fltk.org/str.php
//

#ifndef Fl_Timer_H
#define Fl_Timer_H

#include <fltk3/Timer.h>
#include "Fl_Widget.H"

#define FL_NORMAL_TIMER		0
#define FL_VALUE_TIMER		1
#define FL_HIDDEN_TIMER		2


FLTK3_WRAPPER_INTERFACE_BEGIN(Fl_Timer, Timer)
FLTK3_WRAPPER_INTERFACE_WIDGET(Fl_Timer, Timer)
  Timer_I(uchar t,int x,int y,int w,int h, const char *l) : Timer(t, x, y, w, h) {}
FLTK3_WRAPPER_INTERFACE_END()


class FL_EXPORT Fl_Timer : public Fl_Widget {
  
public:
  
  FLTK3_WIDGET_VCALLS(Fl_Timer, Timer)
  
  Fl_Timer(uchar t,int x,int y,int w,int h, const char *l) {
    _p = new fltk3::Timer_I(t, _ctor_dx(x), _ctor_dy(y), w, h, l);
    _p->wrapper(this);
    box(t);
  }
  
  Fl_Timer() {}
  
  void value(double v) {
    ((fltk3::Timer*)_p)->value(v);
  }

  double value() const {
    return ((fltk3::Timer*)_p)->value();
  }

  char direction() const {
    return ((fltk3::Timer*)_p)->direction();
  }
  
  void direction(char d) {
    ((fltk3::Timer*)_p)->direction(d);
  }
  
  char suspended() const {
    return ((fltk3::Timer*)_p)->suspended();
  }
  
  void suspended(char d) {
    ((fltk3::Timer*)_p)->suspended(d);
  }
  
};

#endif

//
// End of "$Id: Fl_Timer.H 9582 2012-06-10 11:10:24Z matt $".
//

